#version 450
layout(set = 0, binding = 0) uniform _Time { float Time; };
layout(set = 0, binding = 1) uniform _Offset { vec2 Offset; };
layout(set = 0, binding = 2) uniform _Zoom { float Zoom; };
layout(location = 0) in vec2 fsin_Position;
layout(location = 0) out vec4 fsout_Color;
float beat = 0.9375;
float beats = (Time / beat);
vec2 pR(vec2 p, float a)
{
p = ((p * cos(a)) + (vec2(p.y, (-p.x)) * sin(a)));
return p;

}

float rand1d(float n)
{
return fract((sin(n) * 43758.55));

}

float noise(vec2 uv, float intensity)
{
return min(1.0, ((1.0 / (rand1d(((uv.x * 20.0) + 1.0)) + rand1d((uv.y * 40.0)))) * intensity));

}

float spikeFunc(float x)
{
return max(min(min(fract(x / -2.) * 2. -1., sin((x + 1.) / 0.31831 ) + 1.), sin((x - 1.278) / 0.31831) + 0.645), 0.);

}

float superclamp(float val, float start, float end)
{
float dur = (end - start);
float halfdur = (dur / 2.0);
float prog = (clamp(val, start, end) - start);
return ((halfdur - abs((prog - halfdur))) / halfdur);

}

void main()
{
float audio1 = max(0.0, (0.1 - fract(((beats * 4.0) + 0.04))));
float audio2 = max(0.0, (0.1 - fract((((beats * 4.0) + 0.05) - 0.4))));
float audio3 = (step(1.5, (fract((beats / 2.0)) * 2.0)) - step(8.0, (fract((beats / 2.0)) * 2.0)));
vec2 uv = fsin_Position;
uv = vec2((uv.x + (audio1 * (noise(pR(vec2(uv.y), Time), 0.1) - 0.1))), uv.y);
uv = vec2((uv.x + (audio2 * (noise(pR(vec2(uv.y), Time), 0.1) - 0.1))), uv.y);
uv = vec2((uv.x + (audio3 * (noise(pR(vec2(uv.y), Time), 0.1) - 0.1))), uv.y);
uv = ((uv / 2.0) - Offset);
uv = (uv * (1.0 + (Zoom * Zoom)));
vec3 c = vec3(0.0);
vec3 r = vec3(0.68, 0.18, 0.14);
vec3 g = vec3(0.87, 0.89, 0.78);
vec3 b = vec3(0.0, 0.6, 0.96);
float l = clamp((round(((-(floor((sin(((((round((sin(((floor(((-((((((floor((((-(floor(((sin(cos(cos(sin((round((sin(cos(((floor(((sin(((floor(((-(round(((round(((((round((sin((((-((((((round(((floor(((round((sin(sin(((cos((floor((((((round(((floor(((round(((((floor(((round(((((cos(((-cos((((round((((round((((((-((sin((floor((((sin(cos((-(cos((sin(cos(((-((floor((sin(((round(((((round((((round(((floor(((sin(sin(cos((-(floor((sin(cos(((-(round(((floor((((((floor(((-(((floor((sin((cos((cos((((((floor(((cos(sin((round(((sin(cos((-(((-(((floor(((round(((floor(((sin((floor(((-(floor((((sin((floor(((round(((floor(((cos((round(((floor((((cos((round(((floor(((-((((((((floor(((round((sin((round(((cos(sin((-((-((-sin((floor((cos(((-((round(((floor((cos((floor((((sin(sin(sin((((-cos(sin((-((floor((((cos(((cos((sin((sin((round(((sin((floor(((((-cos((sin((sin(cos((sin(cos((((floor(((round((((((((floor((cos((round((((-(round(((((round(((floor((sin(((floor((((cos((floor((cos((-(((round((sin(cos(cos((sin((cos((((-(((round((((((cos((((((round(((((((floor((sin((floor(((floor((((floor((((round((sin((floor((cos(((floor((((sin(cos(((((-(((((-((((floor(((-(-(((((floor((((-(((-((sin(((((((((-sin((round(((((sin((-(-(((floor(((((-((-(-(floor((((-(floor(((floor((cos((-((cos(((((round(((sin((round((cos((floor(((round((((sin((((((cos((round((((((round((((floor((((round(((-sin(cos(((floor((((((-(floor(((round(((round(((cos(sin(cos(cos(sin(cos(sin((-((((round((((((((round(((floor(((((((floor(((((-(-(-((-(round(((sin(cos(((((((-cos((((length(uv) * 10.0) + 3.1416) + (uv.x * 2.0)))) + audio1) + (uv.y * 8.0)) + (uv.x * 2.0)) + (uv.y * 8.0)) + 3.1416))) + audio2) * 7.0)) / 7.0)) + (uv.x * 10.0))))) + sin(((beats * 1.57) * 0.25))) + (uv.x * 10.0)) * 7.0)) / 7.0) + (uv.x * 2.0)) + audio2) + (length(uv) * 10.0)) + (uv.x * 10.0)) * 7.0)) / 7.0) * 7.0)) / 7.0) + (uv.x * 2.0)) + audio3) + (uv.x * 10.0)) + (uv.y * 8.0)) + (uv.y * 1.5)) * 7.0)) / 7.0) + (uv.x * 10.0)) + (uv.y * 8.0)) + (uv.x * 2.0)))))))))) + audio2) * 7.0)) / 7.0) * 7.0)) / 7.0) * 7.0)) / 7.0)) + (uv.y * 1.5)) + (length(uv) * 10.0)) + (length(uv) * 10.0)) * 7.0)) / 7.0) + audio2)))) * 7.0)) / 7.0) + (uv.y * 1.5)) * 7.0)) / 7.0) + audio2) * 7.0)) / 7.0) + (length(uv) * 10.0)) + audio1) + (length(uv) * 10.0)) * 7.0)) / 7.0)) + audio1) + audio3) + (uv.y * 8.0)) + audio3) + audio3)) + (uv.y * 8.0)) + 3.1416) * 7.0)) / 7.0) * 7.0)) / 7.0)) * 7.0)) / 7.0)) + (length(uv) * 10.0)) * 7.0)) / 7.0) + (uv.x * 2.0)) + (uv.y * 1.5)) + (length(uv) * 10.0))) + (uv.x * 2.0)) + audio1))) * 7.0)) / 7.0) * 7.0)) / 7.0)) + audio2) * 7.0)) / 7.0))) + (uv.y * 1.5))) + (length(uv) * 10.0)) + (uv.y * 1.5)) * 7.0)) / 7.0) + audio2) + (uv.x * 10.0))))) + audio1) + (uv.y * 8.0)) + (length(uv) * 10.0)) * 7.0)) / 7.0))) + (length(uv) * 10.0)) + audio3) + audio1) + (length(uv) * 10.0)) + (uv.y * 1.5)) + audio3) + sin(((beats * 1.57) * 0.25)))) + audio1) + (uv.x * 2.0))) + (uv.y * 8.0)) + 3.1416)) + audio2) * 7.0)) / 7.0) + (uv.x * 2.0)) + (uv.y * 8.0)) + audio1) + (uv.x * 2.0)))) * 7.0)) / 7.0) + (uv.y * 1.5)) + audio1) + (uv.x * 10.0))) + audio3) + (uv.x * 2.0)) + (uv.x * 10.0)) + (uv.y * 1.5))) + 3.1416) + 3.1416) + (uv.y * 1.5)))) + audio3) + (uv.x * 10.0)) * 7.0)) / 7.0) + audio1)) * 7.0)) / 7.0)) * 7.0)) / 7.0) + (uv.y * 1.5)) * 7.0)) / 7.0) + audio1) * 7.0)) / 7.0) * 7.0)) / 7.0)) * 7.0)) / 7.0) + (uv.x * 2.0)) + (length(uv) * 10.0)) + sin(((beats * 1.57) * 0.25))) + (uv.x * 10.0)) * 7.0)) / 7.0) + (uv.y * 8.0)) + (uv.y * 8.0)) + audio3) + (uv.x * 2.0))) + audio2) + sin(((beats * 1.57) * 0.25))) + audio1) + (uv.y * 1.5)) * 7.0)) / 7.0) + audio3) + (uv.y * 8.0))) + (uv.y * 8.0)) + sin(((beats * 1.57) * 0.25)))) + audio3)) + 3.1416)))) * 7.0)) / 7.0) + sin(((beats * 1.57) * 0.25))) + audio3))) * 7.0)) / 7.0)) + (uv.y * 8.0)) + audio1) * 7.0)) / 7.0) + audio1)) * 7.0)) / 7.0) * 7.0)) / 7.0) + (uv.y * 8.0)) + (uv.y * 8.0)) * 7.0)) / 7.0)) + audio2) * 7.0)) / 7.0)) * 7.0)) / 7.0) + audio1) + (uv.y * 1.5)) + (uv.x * 2.0)) + (length(uv) * 10.0)) + (uv.y * 1.5)) * 7.0)) / 7.0) * 7.0)) / 7.0) + (uv.x * 2.0)) + audio2))) + (length(uv) * 10.0)))) + (uv.y * 1.5))) + (uv.x * 2.0)))) + sin(((beats * 1.57) * 0.25))) + (uv.y * 1.5)) * 7.0)) / 7.0)) + (uv.y * 8.0)) * 7.0)) / 7.0)) + (length(uv) * 10.0))) + (uv.x * 2.0))) + (uv.x * 2.0)) + (uv.x * 2.0))) + (uv.y * 1.5)) + audio2) * 7.0)) / 7.0) + (uv.x * 10.0)))))) + (uv.y * 8.0)) + (uv.y * 8.0))))) + audio2) + sin(((beats * 1.57) * 0.25))) * 7.0)) / 7.0)) * 7.0)) / 7.0) * 7.0)) / 7.0) + (uv.x * 2.0))) + (uv.y * 8.0))) * 7.0)) / 7.0))) + audio1)) + (uv.y * 8.0))))) + audio3) * 7.0)) / 7.0)) * 7.0)) / 7.0) * 7.0)) / 7.0) + (length(uv) * 10.0)) + (uv.x * 2.0)) + 3.1416) + audio2) + 3.1416) + (uv.x * 2.0)) + audio3)) * 7.0)) / 7.0) * 7.0)) / 7.0)) + audio3) + 3.1416) * 7.0)) / 7.0) * 7.0)) / 7.0)) + (uv.x * 2.0)) * 7.0)) / 7.0) * 7.0)) / 7.0) * 7.0)) / 7.0)) + (uv.y * 1.5)) + audio2) * 7.0)) / 7.0)) * 7.0)) / 7.0)) + audio2) * 7.0)) / 7.0) * 7.0)) / 7.0) * 7.0)) / 7.0) + audio1) + (uv.x * 2.0))) + audio1) + audio3)))) + audio3) * 7.0)) / 7.0))) + (uv.y * 1.5)) * 7.0)) / 7.0) + (uv.x * 10.0)) + audio3) + (length(uv) * 10.0)) + (uv.y * 8.0))) + (uv.x * 10.0))) + audio3)) * 7.0)) / 7.0) + (length(uv) * 10.0)) + (uv.x * 2.0))) * 7.0)) / 7.0) + sin(((beats * 1.57) * 0.25))) + audio1) + (uv.y * 1.5)) * 7.0)) / 7.0) * 7.0)) / 7.0)) + 3.1416))) * 7.0)) / 7.0))))) + 3.1416) * 7.0)) / 7.0) * 7.0)) / 7.0) + audio2) * 7.0)) / 7.0) + (uv.x * 2.0)) + 3.1416) * 7.0)) / 7.0) + (uv.y * 1.5))) * 7.0)) / 7.0) + audio2)) + 3.1416))) + (length(uv) * 10.0))) + 3.1416)))) + (uv.y * 8.0)) + audio3) * 7.0)) / 7.0)) + 3.1416) + audio1)) + audio3) + 3.1416) + (uv.x * 2.0)) * 7.0)) / 7.0) + audio2) * 7.0)) / 7.0) + (uv.y * 1.5)) + audio1))) + (uv.y * 1.5))) + (uv.y * 8.0)) + sin(((beats * 1.57) * 0.25))) + audio3) * 7.0)) / 7.0) * 7.0)) / 7.0) + sin(((beats * 1.57) * 0.25))) + (uv.x * 2.0)) * 7.0)) / 7.0) * 7.0)) / 7.0) * 7.0)) / 7.0) + audio2) + audio3) + audio3) * 7.0)) / 7.0)) + audio2) + (uv.x * 10.0)))) * 7.0)) / 7.0) * 7.0)) / 7.0) * 7.0)) / 7.0) + (uv.x * 2.0)) + audio3) + (uv.y * 1.5)) + audio2) + audio2)) + (uv.y * 1.5)) + (uv.y * 8.0))) * 7.0)) / 7.0) + (uv.x * 10.0)) + audio3) * 7.0)) / 7.0) * 7.0)) / 7.0)) * 7.0)) / 7.0) + audio2)) + (uv.x * 10.0)) * 7.0)) / 7.0) + audio1))) * 7.0)) / 7.0))))) + (uv.x * 2.0)) * 7.0)) / 7.0)) + sin(((beats * 1.57) * 0.25))) * 7.0)) / 7.0) + (uv.y * 8.0)) + (uv.x * 2.0)) + (uv.x * 10.0)) + (uv.y * 1.5)) + audio2)) * 7.0)) / 7.0) + (uv.y * 8.0))) * 7.0)) / 7.0) + audio1) + 3.1416) + audio2)) * 7.0)) / 7.0)) * 7.0)) / 7.0), 0.0, 0.95);
c = vec3((1.0 / (floor((((round((sin((((((round((((round((sin((cos((((((sin((round(((sin(((floor((sin((((cos(((round(((((((-(((floor((sin((floor((cos((sin((-(floor((cos((round(((round(((-sin((round(((-(sin((-((((round(((round(((((sin(audio1) + audio2) + audio3) + sin(((beats * 1.57) * 0.25))) * 7.0)) / 7.0) * 7.0)) / 7.0) + (uv.y * 1.5)) + audio1) + (uv.y * 8.0)))) + (uv.y * 1.5))) * 7.0)) / 7.0))) * 7.0)) / 7.0) * 7.0)) / 7.0)) * 7.0)) / 7.0))) + (uv.x * 2.0))) * 7.0)) / 7.0)) * 7.0)) / 7.0) + audio2) + (uv.x * 10.0))) + (uv.y * 8.0)) + (uv.y * 1.5)) + (uv.x * 2.0)) + sin(((beats * 1.57) * 0.25))) * 7.0)) / 7.0) + (uv.y * 1.5))) + (uv.x * 10.0)) + (length(uv) * 10.0)) + (uv.x * 10.0))) * 7.0)) / 7.0) + audio1)) + (length(uv) * 10.0)) * 7.0)) / 7.0)) + (uv.y * 8.0)) + (length(uv) * 10.0)) + sin(((beats * 1.57) * 0.25))) + (uv.y * 1.5)) + (uv.x * 10.0))) + audio1)) * 7.0)) / 7.0) + (uv.x * 2.0)) * 7.0)) / 7.0) + (length(uv) * 10.0)) + (uv.x * 2.0)) + audio1) + audio1)) * 7.0)) / 7.0) + audio3) * 7.0)) / 7.0)), (1.0 / sin((sin((floor((((-((((cos(((-(((((floor(((-(floor(((round(((round((((sin((floor(((-(((-cos(((floor(((round(((-cos((-(round(((sin((floor((((floor(((-cos(((((((round((sin((sin(sin(cos(sin(((-(-(length(uv) * 10.0))) + (uv.y * 8.0)))))) + audio3)) * 7.0)) / 7.0) + audio3) + 3.1416) + (uv.y * 8.0)) + (uv.x * 2.0)) + (uv.x * 2.0)))) * 7.0)) / 7.0) + (uv.y * 1.5)) * 7.0)) / 7.0)) + audio1) * 7.0)) / 7.0)))) * 7.0)) / 7.0) * 7.0)) / 7.0) + audio1))) + (length(uv) * 10.0)) + (uv.x * 10.0))) * 7.0)) / 7.0)) + (uv.y * 8.0)) + audio3) * 7.0)) / 7.0) * 7.0)) / 7.0) * 7.0)) / 7.0)) * 7.0)) / 7.0) + (uv.y * 1.5)) + audio2) + audio3) + (length(uv) * 10.0))) + 3.1416)) + sin(((beats * 1.57) * 0.25))) + (uv.x * 2.0)) + sin(((beats * 1.57) * 0.25))) + sin(((beats * 1.57) * 0.25)))) + audio1) * 7.0)) / 7.0)) + audio2))), (1.0 / ((round(((((((((floor(((((-((((sin(cos((cos((round((((cos((((floor(((round(((sin(((sin((-cos(((sin((round(((((-(sin((round(((floor(((cos(((cos(sin((-sin(sin((-cos((round(((cos((cos(((round((audio3 * 7.0)) / 7.0) + (uv.x * 2.0))) + (uv.y * 8.0))) + audio2) * 7.0)) / 7.0)))))))) + audio2) + (uv.y * 1.5))) + (uv.y * 8.0)) * 7.0)) / 7.0) * 7.0)) / 7.0)) + sin(((beats * 1.57) * 0.25)))) + (uv.x * 2.0)) + audio3) * 7.0)) / 7.0)) + (uv.x * 2.0)) + sin(((beats * 1.57) * 0.25)))))) + (uv.y * 1.5)) + audio2)) + audio3) * 7.0)) / 7.0) * 7.0)) / 7.0) + audio1) + (uv.x * 10.0))) + (uv.x * 2.0)) + audio1) * 7.0)) / 7.0)) + sin(((beats * 1.57) * 0.25))))) + sin(((beats * 1.57) * 0.25))) + (uv.x * 2.0)) + sin(((beats * 1.57) * 0.25))) + audio1)) + (uv.y * 1.5)) + audio3) * 7.0)) / 7.0) + sin(((beats * 1.57) * 0.25))) + (length(uv) * 10.0)) + audio1) + (uv.y * 8.0)) + (uv.x * 2.0)) + (length(uv) * 10.0)) * 7.0)) / 7.0) + audio1)));
c = (c * 0.9);
vec3 actualColor = vec3(1.0);
actualColor = (actualColor - (vec3(c.x) * r));
actualColor = (actualColor - (vec3(c.y) * g));
actualColor = (actualColor - (vec3(c.z) * b));
c = (vec3(l) * actualColor);
c = (c + (noise(pR(uv, Time), 0.5) * 0.021));
c = max(c, vec3(0.0));
c = (c / smoothstep(0.1, 0.3, (fract((beats / 2.0)) * 2.0)));
fsout_Color = vec4(c, 1.0);

}

