#version 450
layout(set = 0, binding = 0) uniform _Time { float Time; };
layout(set = 0, binding = 1) uniform _Offset { vec2 Offset; };
layout(set = 0, binding = 2) uniform _Zoom { float Zoom; };
layout(location = 0) in vec2 fsin_Position;
layout(location = 0) out vec4 fsout_Color;
float beat = 0.9375;
float beats = (Time / beat);
vec2 pR(vec2 p, float a)
{
p = ((p * cos(a)) + (vec2(p.y, (-p.x)) * sin(a)));
return p;

}

float rand1d(float n)
{
return fract((sin(n) * 43758.55));

}

float noise(vec2 uv, float intensity)
{
return min(1.0, ((1.0 / (rand1d(((uv.x * 20.0) + 1.0)) + rand1d((uv.y * 40.0)))) * intensity));

}

float spikeFunc(float x)
{
return max(min(min(fract(x / -2.) * 2. -1., sin((x + 1.) / 0.31831 ) + 1.), sin((x - 1.278) / 0.31831) + 0.645), 0.);

}

float superclamp(float val, float start, float end)
{
float dur = (end - start);
float halfdur = (dur / 2.0);
float prog = (clamp(val, start, end) - start);
return ((halfdur - abs((prog - halfdur))) / halfdur);

}

void main()
{
float audio1 = max(0.0, (0.1 - fract(((beats * 4.0) + 0.04))));
float audio2 = max(0.0, (0.1 - fract((((beats * 4.0) + 0.05) - 0.4))));
float audio3 = (step(1.5, (fract((beats / 2.0)) * 2.0)) - step(8.0, (fract((beats / 2.0)) * 2.0)));
vec2 uv = fsin_Position;
uv = vec2((uv.x + (audio1 * (noise(pR(vec2(uv.y), Time), 0.1) - 0.1))), uv.y);
uv = vec2((uv.x + (audio2 * (noise(pR(vec2(uv.y), Time), 0.1) - 0.1))), uv.y);
uv = vec2((uv.x + (audio3 * (noise(pR(vec2(uv.y), Time), 0.1) - 0.1))), uv.y);
uv = ((uv / 2.0) - Offset);
uv = (uv * (1.0 + (Zoom * Zoom)));
vec3 c = vec3(0.0);
vec3 r = vec3(0.68, 0.18, 0.14);
vec3 g = vec3(0.87, 0.89, 0.78);
vec3 b = vec3(0.0, 0.6, 0.96);
float l = clamp((cos((smoothstep(sin(pR(vec2(cos((pR((uv * 5.0), (round(((round((pR(vec2(pR(vec2(pR((uv * 1.5), pR(vec2((-pR((uv * 5.0), sin(pR((uv * 1.5), smoothstep((tan(pR(vec2((uv.x * 10.0), pR(vec2((round((max(pR((uv * 5.0), (pR((uv * 1.5), length(vec2((round((pR(vec2((pR(vec2((uv.y * 10.0), (round((((pR((uv * 1.5), pR((uv * 1.5), pR(vec2(pR(vec2((uv.x * 10.0), length(vec2(max(pR(vec2(sin(smoothstep((pR((uv * 5.0), pR((uv * 1.5), pR(vec2((-pR(vec2((uv.x * 10.0), smoothstep(pR((uv * 1.5), pR((uv * 1.5), pR((uv * 5.0), pR(vec2((round((max(pR(vec2(pR(vec2((uv.y * 10.0), max(pR(vec2((uv.x * 10.0), pR(vec2((uv.x * 10.0), pR(vec2(pR((uv * 1.5), pR((uv * 5.0), sin(length(vec2(pR((uv * 5.0), max(sin(pR(vec2((uv.x * 10.0), (round(((round(((tan((pR(vec2((cos((((pR((uv * 5.0), pR(vec2(pR((uv * 1.5), sin(pR((uv * 1.5), sin(cos(pR(vec2((uv.x * 10.0), (tan(pR((uv * 1.5), pR((uv * 1.5), length(vec2(pR(vec2(pR(vec2(smoothstep(pR(vec2((length(vec2(smoothstep((round((pR(vec2((uv.x * 10.0), smoothstep(length(vec2((floor(((tan(pR((uv * 1.5), (max(pR((uv * 1.5), (pR(vec2(cos((pR((uv * 1.5), pR((uv * 5.0), (tan(pR(vec2((uv.y * 10.0), (tan(pR(vec2(smoothstep(smoothstep((((floor((smoothstep(((round(((-(pR((uv * 1.5), pR(vec2((floor((cos((tan(((pR((uv * 5.0), smoothstep(pR(vec2(cos(cos(pR(vec2(pR((uv * 1.5), (pR(vec2(pR(vec2((uv.y * 10.0), sin((tan(sin((-(round(((tan((max(smoothstep((length(vec2(((pR((uv * 5.0), pR(vec2((uv.x * 10.0), (pR((uv * 5.0), sin(pR(vec2((uv.x * 10.0), pR(vec2((floor((smoothstep(pR((uv * 5.0), smoothstep(pR(vec2((uv.y * 10.0), (max(((floor(((-(round((smoothstep(((floor((((tan(length(vec2((tan(pR(vec2((uv.x * 10.0), pR(vec2((uv.x * 10.0), smoothstep(pR(vec2((uv.x * 10.0), smoothstep(max(max(pR((uv * 5.0), (-(pR(vec2((pR(vec2(length(vec2((round(((tan(smoothstep(pR(vec2(pR(vec2((uv.y * 10.0), pR(vec2((uv.x * 10.0), pR(vec2((uv.y * 10.0), pR(vec2(((pR(vec2(sin(length(vec2((pR(vec2((floor((pR((uv * 1.5), cos(pR(vec2(length(vec2(pR((uv * 1.5), (cos(pR(vec2((uv.y * 10.0), pR(vec2((uv.x * 10.0), pR(vec2(pR(vec2((uv.y * 10.0), length(vec2(pR((uv * 5.0), pR(vec2((uv.y * 10.0), (pR(vec2(smoothstep(cos(pR(vec2((round((pR((uv * 1.5), pR((uv * 5.0), (tan(((-((-pR((uv * 1.5), pR(vec2((uv.y * 10.0), (-pR(vec2((uv.y * 10.0), (-(pR(vec2((uv.x * 10.0), (tan(pR((uv * 5.0), pR((uv * 5.0), (-pR((uv * 1.5), pR(vec2((uv.x * 10.0), pR(vec2((uv.y * 10.0), pR(vec2(pR(vec2((-pR((uv * 5.0), pR(vec2(pR((uv * 1.5), cos(sin((cos(pR(vec2((uv.x * 10.0), pR(vec2((uv.x * 10.0), (round((pR(vec2(max(pR((uv * 5.0), (round((pR(vec2((uv.y * 10.0), ((pR((uv * 1.5), pR((uv * 5.0), (round((pR((uv * 5.0), ((-pR(vec2((-(-pR((uv * 1.5), (floor(((smoothstep(sin((round((pR((uv * 5.0), pR(vec2((uv.y * 10.0), sin((max(length(vec2(pR((uv * 5.0), (tan((round((sin(pR((uv * 1.5), (max(max(pR(vec2((uv.y * 10.0), sin((tan(sin(pR(vec2((uv.x * 10.0), (-pR(vec2(pR(vec2((uv.y * 10.0), (pR(vec2(cos((-(tan(cos((floor((length(vec2((sin(pR((uv * 1.5), pR((uv * 5.0), (round((cos(pR((uv * 1.5), smoothstep(pR(vec2((uv.x * 10.0), (round((cos(pR((uv * 1.5), (-sin(pR((uv * 1.5), (pR(vec2(pR(vec2((uv.x * 10.0), pR((uv * 1.5), (tan(((((floor(((length(vec2(cos(sin(pR(vec2((pR(vec2(sin(length(vec2(pR((uv * 5.0), pR(vec2(smoothstep(((-pR(vec2(smoothstep(pR((uv * 1.5), pR(vec2(pR((uv * 5.0), pR(vec2((uv.y * 10.0), (((floor((pR((uv * 1.5), pR(vec2(max((-pR((uv * 5.0), pR(vec2((uv.x * 10.0), (tan((round((cos(pR(vec2(pR(vec2((uv.y * 10.0), pR(vec2((uv.x * 10.0), (tan(sin(sin(pR((uv * 5.0), pR(vec2((uv.y * 10.0), ((round((length(vec2(((tan((floor(((round((sin(pR((uv * 5.0), ((pR((uv * 1.5), (round((max(length(vec2(pR((uv * 1.5), pR(vec2((uv.y * 10.0), (tan(length(vec2(cos((sin(max((pR((uv * 5.0), pR(vec2((uv.x * 10.0), (-sin(((-((floor((pR(vec2(length(vec2(pR(vec2((uv.y * 10.0), (round((pR(vec2((uv.x * 10.0), pR((uv * 1.5), pR(vec2((uv.x * 10.0), pR(vec2((uv.y * 10.0), pR((uv * 1.5), pR((uv * 1.5), max((pR((uv * 5.0), pR(vec2((uv.y * 10.0), (-pR((uv * 1.5), ((floor(((max(max(pR(vec2((uv.x * 10.0), ((tan(smoothstep((max(pR(vec2((uv.y * 10.0), pR((uv * 1.5), (pR(vec2((uv.y * 10.0), pR(vec2((uv.x * 10.0), (tan(pR((uv * 1.5), cos(sin(pR((uv * 5.0), pR((uv * 1.5), pR(vec2(length(vec2(pR((uv * 1.5), (length(vec2((max((pR(vec2(pR(vec2((uv.y * 10.0), sin(max(pR((uv * 1.5), pR((uv * 1.5), pR(vec2((uv.x * 10.0), (tan(sin(smoothstep(pR(vec2(pR((uv * 5.0), pR((uv * 5.0), 4.0).x).y, (uv.y * 1.5)), (beats * 0.25)).x, 0.0, 0.1))) / 2.0)), audio2).x).y).x, (length(uv) * 10.0)))), audio1).y, (uv.x * 10.0)), (beats * 0.25)).x + sin(((beats * 1.57) * 0.25))), 3.1416) + (sin(((beats * 1.57) * 0.5)) * 4.0)), 3.1416)) - (sin(((beats * 1.57) * 0.5)) * 4.0))).y, (tan(((beats * 3.14) * 0.5)) / 2.0))), (uv.x * 10.0)), (beats * 0.25)).x).y).x))).x) / 2.0)), (uv.y * 8.0)).x), audio2).y + (sin(((beats * 1.57) * 0.5)) * 4.0))).x), (uv.x * 2.0)).y, (tan(((beats * 3.14) * 0.5)) / 2.0)) / (1.3 / (length(uv) * 10.0))), 0.0, 0.1)) / 2.0) / (1.3 / (sin(((beats * 1.57) * 0.5)) * 4.0)))), audio3).x, (uv.y * 1.5)), sin(((beats * 1.57) * 0.25))) + (sin(((beats * 1.57) * 0.5)) * 4.0)) * 7.0)) / 7.0) + (sin(((beats * 1.57) * 0.5)) * 4.0))).x)), (uv.x * 10.0)).y).x + audio3), audio3)).y).x), (uv.x * 10.0)).y), 4.0).x).y), audio1).x * 7.0)) / 7.0)), (sin(((beats * 1.57) * 0.5)) * 4.0)).y, (uv.x * 2.0))), (tan(((beats * 3.14) * 0.5)) / 2.0)), (beats * 0.25)).y * 7.0)) / 7.0) - audio1)) + audio2)))), sin(((beats * 1.57) * 0.25))).x).x / (1.3 / 3.1416)), (uv.x * 2.0))) + (uv.x * 10.0))), (uv.y * 8.0)))) / 2.0)), (uv.x * 10.0)).y).y, (uv.y * 8.0))), sin(((beats * 1.57) * 0.25))) * 7.0)) / 7.0)).x / (1.3 / audio1)) / (1.3 / audio3))).x) * 7.0)) / 7.0) * 7.0)) / 7.0)) / 2.0) / (1.3 / (tan(((beats * 3.14) * 0.5)) / 2.0))), audio1)) * 7.0)) / 7.0) + (length(uv) * 10.0))), (sin(((beats * 1.57) * 0.5)) * 4.0)).y).x))) / 2.0)), (length(uv) * 10.0)).x), (uv.y * 1.5)).y, (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).x) * 7.0)) / 7.0)) / 2.0)), 3.1416).x).x), (uv.x * 10.0)), (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).x).y * 7.0)) / 7.0) - (uv.x * 2.0)) / (1.3 / 3.1416))), (sin(((beats * 1.57) * 0.5)) * 4.0)).y).y, (uv.y * 8.0)), (beats * 0.25)).y).x, 0.0, 0.1), audio1), (beats * 0.25)).x) + audio2), 0.0, 0.1), 3.1416), (beats * 0.25)).y).x, sin(((beats * 1.57) * 0.25))))), (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).x + sin(((beats * 1.57) * 0.25))), (tan(((beats * 3.14) * 0.5)) / 2.0)), (beats * 0.25)).y)), 4.0)) / (1.3 / (uv.x * 10.0))) * 7.0)) / 7.0) + (length(uv) * 10.0)) / (1.3 / (uv.x * 10.0))) / (1.3 / (tan(((beats * 3.14) * 0.5)) / 2.0)))) / 2.0)).y), 3.1416).x, audio1), (beats * 0.25)).x - audio3)).y))).x) * 7.0)) / 7.0)), (uv.x * 2.0)).x, 0.0, 0.1)).y) * 7.0)) / 7.0)).y).y) + (uv.y * 8.0)), (tan(((beats * 3.14) * 0.5)) / 2.0))) * 7.0)) / 7.0))) / 2.0))), audio1), (beats * 0.25)).y - (uv.x * 10.0))), (uv.x * 10.0)).y, audio2), (beats * 0.25)).y)), (uv.x * 10.0)).x)) / 2.0))), (tan(((beats * 3.14) * 0.5)) / 2.0)).y, 3.1416), (uv.x * 2.0)) + (sin(((beats * 1.57) * 0.5)) * 4.0))).x) * 7.0)) / 7.0)) / 2.0)).x, 4.0)), 3.1416) - (tan(((beats * 3.14) * 0.5)) / 2.0)))), audio1).y).y * 7.0)) / 7.0)), 0.0, 0.1) + 3.1416) * 7.0)) / 7.0)).x)), (uv.x * 10.0)), (beats * 0.25)).y) / (1.3 / audio3))).y * 7.0)) / 7.0)).x).x + (uv.x * 10.0)) + sin(((beats * 1.57) * 0.25)))), 3.1416).y * 7.0)) / 7.0)).x, 3.1416), (tan(((beats * 3.14) * 0.5)) / 2.0)), (beats * 0.25)).x * 7.0)) / 7.0)), audio1).x), audio1).x) - (sin(((beats * 1.57) * 0.5)) * 4.0))))).x, sin(((beats * 1.57) * 0.25))), (beats * 0.25)).y).y), sin(((beats * 1.57) * 0.25))), (beats * 0.25)).y, (tan(((beats * 3.14) * 0.5)) / 2.0)), (beats * 0.25)).x), sin(((beats * 1.57) * 0.25))).y), sin(((beats * 1.57) * 0.25))).x).x)).y).x) / 2.0)), (uv.y * 1.5)).x - (uv.x * 2.0)))), (uv.y * 8.0)).y)), 3.1416).y).x) / (1.3 / (length(uv) * 10.0)))) - audio1)) / 2.0)).x).y * 7.0)) / 7.0), (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).x), 0.0, 0.1), audio3), (beats * 0.25)).y - 4.0)), (length(uv) * 10.0)).y).x, sin(((beats * 1.57) * 0.25))))), (sin(((beats * 1.57) * 0.5)) * 4.0)).y, (uv.x * 10.0)), (beats * 0.25)).x), (uv.x * 2.0)).x), (uv.y * 1.5)).y) / (1.3 / (length(uv) * 10.0)))).x, (uv.y * 8.0))), audio1), (beats * 0.25)).y)).x * 7.0)) / 7.0), audio2), (beats * 0.25)).x + 3.1416), (uv.y * 1.5)))), 4.0), (beats * 0.25)).x + (uv.x * 10.0)) + audio3), (uv.y * 8.0)), (beats * 0.25)).y), (uv.y * 1.5)).y), (uv.x * 10.0)).x), (length(uv) * 10.0)).y, 4.0), (beats * 0.25)).y, 0.0, 0.1)) / 2.0) * 7.0)) / 7.0), (uv.x * 2.0))), (uv.x * 2.0)), (beats * 0.25)).y - 4.0), 4.0), (beats * 0.25)).y / (1.3 / (uv.x * 10.0))))).x, (sin(((beats * 1.57) * 0.5)) * 4.0)), (tan(((beats * 3.14) * 0.5)) / 2.0)), 0.0, 0.1)), audio1).x, 0.0, 0.1)), audio3).x), (tan(((beats * 3.14) * 0.5)) / 2.0)).x) / 2.0), (length(uv) * 10.0)))) / 2.0) - (tan(((beats * 3.14) * 0.5)) / 2.0)) * 7.0)) / 7.0) + (length(uv) * 10.0)), 0.0, 0.1) * 7.0)) / 7.0)) * 7.0)) / 7.0) / (1.3 / audio1)), (tan(((beats * 3.14) * 0.5)) / 2.0)) + (uv.y * 8.0))), (uv.y * 1.5)).y, 0.0, 0.1)).x, 0.0, 0.1) * 7.0)) / 7.0), 4.0), (beats * 0.25)).y), audio3).x)).y - 4.0)), 4.0).x).y / (1.3 / sin(((beats * 1.57) * 0.25)))) / (1.3 / (uv.x * 2.0))), audio3)) + 4.0), 0.0, 0.1), 4.0) - (uv.y * 8.0))) / 2.0) * 7.0)) / 7.0)))) / 2.0))), (sin(((beats * 1.57) * 0.5)) * 4.0)).y, (length(uv) * 10.0)), (beats * 0.25)).x / (1.3 / (length(uv) * 10.0)))).y, (uv.y * 8.0)), (beats * 0.25)).x)), (length(uv) * 10.0)), (beats * 0.25)).x, 0.0, 0.1)).y / (1.3 / sin(((beats * 1.57) * 0.25)))) + audio2)) / 2.0)) * 7.0)) / 7.0), (length(uv) * 10.0)), (beats * 0.25)).x).x + (uv.y * 1.5))) * 7.0)) / 7.0) - audio1), 0.0, 0.1) * 7.0)) / 7.0) + audio1) / (1.3 / sin(((beats * 1.57) * 0.25)))), 0.0, 0.1), 0.0, 0.1), sin(((beats * 1.57) * 0.25))), (beats * 0.25)).y) / 2.0)), audio2).y) / 2.0)).y).y - 4.0)), audio2), (beats * 0.25)).y - (uv.y * 1.5))).y, audio1) - (uv.y * 1.5))).y) / 2.0) * 7.0)) / 7.0), (uv.x * 10.0))), 0.0, 0.1)), audio1).x * 7.0)) / 7.0), 0.0, 0.1), sin(((beats * 1.57) * 0.25)))) / (1.3 / (uv.y * 8.0))), audio3), (beats * 0.25)).x, 0.0, 0.1), audio2), (beats * 0.25)).y, audio3), (beats * 0.25)).y, 4.0))).y).y) / 2.0)), audio1).x))).x)).x, 3.1416), (beats * 0.25)).x).x / (1.3 / (tan(((beats * 3.14) * 0.5)) / 2.0))) / (1.3 / (length(uv) * 10.0))) - (uv.x * 2.0))) - 4.0), audio2), (beats * 0.25)).x - (uv.x * 2.0))) / 2.0) * 7.0)) / 7.0) * 7.0)) / 7.0)), audio1).x), (uv.x * 2.0))).y, 4.0)))).y).x, (length(uv) * 10.0)), (beats * 0.25)).y), audio3).x), (uv.x * 10.0)).x, sin(((beats * 1.57) * 0.25)))), audio1).y, audio3), (beats * 0.25)).x, 4.0) * 7.0)) / 7.0), audio1), (beats * 0.25)).x).y).x).y, 0.0, 0.1)), 4.0).x), (uv.x * 10.0)), (beats * 0.25)).y).x).y + 4.0), 0.0, 0.1)), audio1), (beats * 0.25)).y, (uv.y * 1.5)), sin(((beats * 1.57) * 0.25))))), 3.1416).x, 4.0), (beats * 0.25)).y).y).x / (1.3 / sin(((beats * 1.57) * 0.25)))) - audio3) * 7.0)) / 7.0)), (sin(((beats * 1.57) * 0.5)) * 4.0)).y - (tan(((beats * 3.14) * 0.5)) / 2.0)), (uv.y * 1.5)), (beats * 0.25)).y * 7.0)) / 7.0), 4.0))).y / (1.3 / (length(uv) * 10.0)))).x, (uv.y * 8.0)) * 7.0)) / 7.0), 3.1416), (beats * 0.25)).y), audio1).x) / 2.0), 0.0, 0.1)).x)).y), 4.0), (beats * 0.25)).y).y, (uv.x * 2.0)), (beats * 0.25)).y, (uv.x * 10.0)), (beats * 0.25)).x * 7.0)) / 7.0) * 7.0)) / 7.0)).x / (1.3 / audio1))), (uv.y * 1.5)), (beats * 0.25)).y), 0.0, 0.1) - audio3)) / (1.3 / audio2)), 0.0, 0.95);
c = vec3((1.0 / cos(max(pR((uv * 5.0), pR(vec2((uv.x * 10.0), pR((uv * 5.0), (((floor(((pR(vec2((uv.x * 10.0), ((floor((pR((uv * 1.5), cos(pR(vec2(cos(cos(pR((uv * 5.0), max(sin(pR((uv * 5.0), pR((uv * 5.0), pR((uv * 1.5), pR((uv * 5.0), length(vec2((smoothstep(pR((uv * 1.5), pR((uv * 1.5), sin(pR(vec2((uv.y * 10.0), sin(length(vec2(pR(vec2((uv.x * 10.0), length(vec2(((round((cos(length(vec2(cos(cos(pR((uv * 1.5), cos(cos(((-(-pR(vec2(sin(((floor((sin(pR((uv * 5.0), pR(vec2(sin((length(vec2((-((round((pR((uv * 1.5), cos(pR((uv * 1.5), cos((max(pR(vec2(3.1416, 3.1416), (beats * 0.25)).x, audio1) - 3.1416))).y)).y * 7.0)) / 7.0) + audio2)), (uv.y * 8.0))) - 3.1416)), audio3), (beats * 0.25)).x).x) * 7.0)) / 7.0) + sin(((beats * 1.57) * 0.25)))), (uv.y * 8.0)), (beats * 0.25)).x)) / (1.3 / (uv.x * 10.0)))))).y)), (uv.y * 1.5)))) * 7.0)) / 7.0) + (length(uv) * 10.0)), audio3))), (sin(((beats * 1.57) * 0.5)) * 4.0)).x, (sin(((beats * 1.57) * 0.5)) * 4.0))))), sin(((beats * 1.57) * 0.25))).y)).x).y, 0.0, 0.1) + (uv.y * 8.0)), (uv.y * 8.0)))).y).y).x).x), audio2)).y)), (uv.x * 2.0)), (beats * 0.25)).x)).x * 7.0)) / 7.0) / (1.3 / (uv.x * 10.0)))), audio3).x - audio1) * 7.0)) / 7.0) + audio1) - audio1)).x), (length(uv) * 10.0)).x).y, (tan(((beats * 3.14) * 0.5)) / 2.0)))), (1.0 / length(vec2((pR(vec2((uv.x * 10.0), pR(vec2((((((tan(sin(cos(pR(vec2((pR(vec2(pR(vec2((uv.x * 10.0), pR((uv * 1.5), pR(vec2((uv.x * 10.0), length(vec2(pR(vec2((uv.y * 10.0), pR(vec2((uv.x * 10.0), (pR(vec2((uv.x * 10.0), smoothstep(((-(round((pR((uv * 5.0), smoothstep(pR(vec2((uv.x * 10.0), pR(vec2((uv.x * 10.0), length(vec2(pR((uv * 1.5), (tan(pR((uv * 5.0), pR(vec2((uv.y * 10.0), ((pR(vec2(pR(vec2((tan((round(((pR(vec2((max((round((pR(vec2((pR((uv * 5.0), (pR(vec2((uv.x * 10.0), (floor((pR((uv * 1.5), ((pR(vec2((uv.y * 10.0), sin(pR(vec2(length(vec2(smoothstep((-pR((uv * 1.5), pR((uv * 5.0), smoothstep(pR(vec2(max(pR((uv * 5.0), ((tan(sin((round(((sin(length(vec2((tan(((beats * 3.14) * 0.5)) / 2.0), 3.1416))) + sin(((beats * 1.57) * 0.25))) * 7.0)) / 7.0))) / 2.0) / (1.3 / (uv.y * 8.0)))).y, 4.0), 3.1416), (beats * 0.25)).x, 0.0, 0.1)).y).x), 0.0, 0.1), (uv.y * 1.5))), (uv.y * 1.5)), (beats * 0.25)).x)), 3.1416).y / (1.3 / (sin(((beats * 1.57) * 0.5)) * 4.0))) - sin(((beats * 1.57) * 0.25)))).y * 7.0)) / 7.0)), (uv.x * 10.0)).x / (1.3 / 3.1416))).y / (1.3 / (length(uv) * 10.0))), 4.0), (beats * 0.25)).x * 7.0)) / 7.0), audio2) - (sin(((beats * 1.57) * 0.5)) * 4.0)), (tan(((beats * 3.14) * 0.5)) / 2.0)), (beats * 0.25)).y + 3.1416) * 7.0)) / 7.0)) / 2.0), (uv.y * 8.0)), (beats * 0.25)).x, (uv.x * 2.0)), (beats * 0.25)).x - audio2) - (tan(((beats * 3.14) * 0.5)) / 2.0))), audio3).y).y) / 2.0)).x, (uv.y * 1.5)))), audio2).x), (uv.x * 10.0)).x, 0.0, 0.1)).y * 7.0)) / 7.0)) + audio1), 0.0, 0.1)), (sin(((beats * 1.57) * 0.5)) * 4.0)).x + (sin(((beats * 1.57) * 0.5)) * 4.0))), (uv.y * 8.0)).x), (uv.x * 10.0)).y, (uv.y * 8.0)))), 3.1416).x).x), (uv.x * 10.0)).x, 3.1416), (beats * 0.25)).x + audio3), 4.0), (beats * 0.25)).y))) / 2.0) + sin(((beats * 1.57) * 0.25))) / (1.3 / (sin(((beats * 1.57) * 0.5)) * 4.0))) + (tan(((beats * 3.14) * 0.5)) / 2.0)) - 4.0), (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).x), 3.1416).x + audio3), audio3))), (1.0 / cos((pR(vec2((uv.x * 10.0), pR((uv * 5.0), sin(smoothstep((cos(pR((uv * 1.5), cos(pR((uv * 5.0), max((pR(vec2(pR((uv * 1.5), smoothstep((-smoothstep(sin(((floor(((-pR((uv * 5.0), max(smoothstep(pR((uv * 1.5), pR((uv * 1.5), pR(vec2(pR(vec2(pR((uv * 1.5), (floor((sin(pR((uv * 5.0), (round(((max(((floor((length(vec2(pR((uv * 1.5), pR(vec2(((-pR(vec2((uv.y * 10.0), pR(vec2((uv.y * 10.0), (tan(length(vec2((floor(((-(((pR(vec2((uv.x * 10.0), (tan(pR(vec2((uv.y * 10.0), ((tan((-pR(vec2((uv.y * 10.0), (tan((tan(pR(vec2(pR(vec2(length(vec2(pR(vec2((uv.y * 10.0), sin(pR(vec2(pR(vec2(pR(vec2(((uv.y * 1.5) + sin(((beats * 1.57) * 0.25))), (uv.y * 8.0)), (beats * 0.25)).y, 3.1416), (beats * 0.25)).y, (uv.y * 8.0)), (beats * 0.25)).y)), (tan(((beats * 3.14) * 0.5)) / 2.0)).y, audio1)), (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).y, 4.0), (beats * 0.25)).y) / 2.0)) / 2.0)), (tan(((beats * 3.14) * 0.5)) / 2.0)).y)) / 2.0) + audio2)), audio1).y) / 2.0)), audio2).x - sin(((beats * 1.57) * 0.25))) / (1.3 / 3.1416)) / (1.3 / (uv.x * 2.0)))) * 7.0)) / 7.0), (uv.y * 1.5)))) / 2.0)), (uv.x * 10.0)).y), audio2).y) - (sin(((beats * 1.57) * 0.5)) * 4.0)), sin(((beats * 1.57) * 0.25))), (beats * 0.25)).x).x, (uv.x * 2.0))) * 7.0)) / 7.0) - (uv.x * 10.0)), (tan(((beats * 3.14) * 0.5)) / 2.0)) + (uv.y * 8.0)) * 7.0)) / 7.0)).y) * 7.0)) / 7.0)).x, (uv.y * 1.5)), (beats * 0.25)).y, (sin(((beats * 1.57) * 0.5)) * 4.0)), (beats * 0.25)).x).y).x, 0.0, 0.1), 4.0)).y) * 7.0)) / 7.0) - (tan(((beats * 3.14) * 0.5)) / 2.0))), 0.0, 0.1)), 0.0, 0.1)).x, 3.1416), (beats * 0.25)).x + (sin(((beats * 1.57) * 0.5)) * 4.0)), (uv.y * 8.0))).x)).y) + sin(((beats * 1.57) * 0.25))), 0.0, 0.1))).x), audio3).x - audio2))));
c = (c * 0.9);
vec3 actualColor = vec3(1.0);
actualColor = (actualColor - (vec3(c.x) * r));
actualColor = (actualColor - (vec3(c.y) * g));
actualColor = (actualColor - (vec3(c.z) * b));
c = (vec3(l) * actualColor);
c = (c + (noise(pR(uv, Time), 0.5) * 0.021));
c = max(c, vec3(0.0));
c = (c / smoothstep(0.1, 0.3, (fract((beats / 2.0)) * 2.0)));
fsout_Color = vec4(c, 1.0);

}

